import abc

import xarray as xr


class AbstractMerger(abc.ABC):
    """Abstract base class for a source merger."""

    engine = "netcdf4"

    @abc.abstractmethod
    def merge(self, paths, **kwargs) -> xr.Dataset:
        """Merge multiple source files."""
